package uci.inf221.lunarLander.dataStore.entities;

import java.io.Serializable;
import java.util.UUID;

public abstract class DataEntity implements Serializable {

	private static final long serialVersionUID = 3690029109425021957L;

	private UUID id = UUID.randomUUID();

	public UUID getId() {
		return id;
	}

	public void setId(UUID id) {
		this.id = id;
	}

	@Override
	public String toString() {
		return this.getClass().getSimpleName() + " " + id;
	}

}
