package uci.inf221.lunarLander.dataStore.message;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Request;

public class ChangeNTPServerRequest extends C2Request {

	private static final long serialVersionUID = 504648413173526041L;
	private String ntpServer;
	private int port;

	public ChangeNTPServerRequest(C2Component source, String ntpServer, int port) {
		super(source);
		this.ntpServer = ntpServer;
		this.port = port;
	}

	public String getNtpServer() {
		return ntpServer;
	}

	public int getPort() {
		return port;
	}

}
