package uci.inf221.lunarLander.dataStore.message;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Notification;

public class ClockTickNotification extends C2Notification {

	private static final long serialVersionUID = 4870542320795088853L;

	private long tickTime;

	public ClockTickNotification(C2Component source, long tickTime) {
		super(source);
		this.tickTime = tickTime;
	}

	public long getTickTime() {
		return tickTime;
	}

}
