package uci.inf221.lunarLander.dataStore.message;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Notification;
import uci.inf221.lunarLander.dataStore.entities.DataEntity;

public class CurrentEntityDataNotification extends C2Notification {

	private static final long serialVersionUID = 6656751005791477529L;
	private DataEntity[] entities;

	public CurrentEntityDataNotification() {
		super();
	}

	public CurrentEntityDataNotification(C2Component source,
			DataEntity... entities) {
		super(source);
		this.entities = entities;
	}

	public DataEntity[] getEntities() {
		return entities;
	}

}
