package uci.inf221.lunarLander.dataStore.message;

import java.util.UUID;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Notification;

public class EntityDestroyedNotification extends C2Notification {

	private static final long serialVersionUID = 8085326966849742639L;
	private UUID entityId;

	public EntityDestroyedNotification() {
		super();
	}

	public EntityDestroyedNotification(C2Component source, UUID entityId) {
		super(source);
		this.entityId = entityId;
	}

	public UUID getEntityId() {
		return entityId;
	}

}
