package uci.inf221.lunarLander.dataStore.message;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Notification;
import uci.inf221.lunarLander.dataStore.entities.Level.LevelStatus;

public class LevelStatusUpdatedNotification extends C2Notification {

	private static final long serialVersionUID = -6810930974753198441L;
	private LevelStatus levelStatus;

	public LevelStatusUpdatedNotification() {
		super();
	}

	public LevelStatusUpdatedNotification(C2Component source,
			LevelStatus levelStatus) {
		super(source);
		this.levelStatus = levelStatus;
	}

	public LevelStatus getLevelStatus() {
		return levelStatus;
	}

}
