package uci.inf221.lunarLander.dataStore.message;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Notification;
import uci.inf221.lunarLander.dataStore.entities.Asteroid;

public class NewAsteroidNotification extends C2Notification {

	private static final long serialVersionUID = -5213629781863381915L;

	private Asteroid asteroid;

	public NewAsteroidNotification() {
		super();
	}

	public NewAsteroidNotification(C2Component source, Asteroid asteroid) {
		super(source);
		this.asteroid = asteroid;
	}

	public Asteroid getAsteroid() {
		return asteroid;
	}

	public void setAsteroid(Asteroid asteroid) {
		this.asteroid = asteroid;
	}

}
