package uci.inf221.lunarLander.dataStore.message;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Request;

public class UpdateGameStartTimeRequest extends C2Request {

	private static final long serialVersionUID = 5129847229627000130L;
	private long startTime;

	public UpdateGameStartTimeRequest(C2Component source, long startTime) {
		this(source, null, startTime);
	}

	public UpdateGameStartTimeRequest(C2Component source, Object sourceData,
			long startTime) {
		super(source, sourceData);
		this.setStartTime(startTime);
	}

	public long getStartTime() {
		return startTime;
	}

	public void setStartTime(long startTime) {
		this.startTime = startTime;
	}

}
