package uci.inf221.lunarLander.logic.message;

import java.util.UUID;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Notification;

public class EntityLevelCollisionNotification extends C2Notification {

	private static final long serialVersionUID = 4362135375262223853L;

	private UUID entityId;

	public EntityLevelCollisionNotification(C2Component source, UUID entityId) {
		super(source);
		this.entityId = entityId;
	}

	public UUID getEntityId() {
		return entityId;
	}

}
