package uci.inf221.lunarLander.net.connector.clientToServer.connector;

import uci.inf221.lunarLander.arch.Port.PortDirection;
import uci.inf221.lunarLander.arch.c2.C2Connector;

public class ConnectionManagerConnector extends C2Connector {

	public static final String PORT_IDENTIFIER_CLIENT_MESSAGE_COMPOSER_COMPONENT = "client_message_composer";
	public static final String PORT_IDENTIFIER_SERVER_MESSAGE_HANDLER_COMPONENT = "server_message_handler";
	public static final String PORT_IDENTIFIER_SERVER_CONNECTION_STATE_CHANGE_HANDLER_COMPONENT = "server_connection_state_change_handler";
	public static final String PORT_IDENTIFIER_SERVER_CONNECTION_MANAGER_COMPONENT = "server_connection_manager";

	@Override
	protected void createPorts() {
		addTopPort(PORT_IDENTIFIER_CLIENT_MESSAGE_COMPOSER_COMPONENT)
				.setDirection(PortDirection.IN);
		addTopPort(PORT_IDENTIFIER_SERVER_MESSAGE_HANDLER_COMPONENT)
				.setDirection(PortDirection.OUT);
		addTopPort(
				PORT_IDENTIFIER_SERVER_CONNECTION_STATE_CHANGE_HANDLER_COMPONENT)
				.setDirection(PortDirection.OUT);

		addBottomPort(PORT_IDENTIFIER_SERVER_CONNECTION_MANAGER_COMPONENT);
	}

}
