package uci.inf221.lunarLander.net.connector.serverToClients.message;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Notification;
import uci.inf221.lunarLander.net.connector.serverToClients.entity.ClientState;

public class ClientStateUpdatedNotification extends C2Notification {

	private static final long serialVersionUID = 3162580545320300478L;

	private ClientState state;

	public ClientStateUpdatedNotification(C2Component source, ClientState state) {
		super(source);
		this.state = state;
	}

	public ClientState getState() {
		return state;
	}

}
