package uci.inf221.lunarLander.arch;

import java.util.HashMap;
import java.util.Map;

public abstract class Connector {
	protected Map<String, Port> ports = new HashMap<String, Port>();

	protected void addPort(String identifier, Port port) {
		ports.put(identifier, port);
	}

	public Port getPort(String identifier) {
		return ports.get(identifier);
	}
}
