package uci.inf221.lunarLander.dataStore.message;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Notification;

public class CurrentGameStartTimeNotification extends C2Notification {

	private static final long serialVersionUID = -4719115662225887463L;
	private long startTime;

	public CurrentGameStartTimeNotification() {
		super();
	}

	public CurrentGameStartTimeNotification(C2Component source, long startTime) {
		super(source);
		this.startTime = startTime;
	}

	public long getStartTime() {
		return startTime;
	}

}
