package uci.inf221.lunarLander.dataStore.message;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Notification;
import uci.inf221.lunarLander.dataStore.entities.Level;

public class LevelUpdatedNotification extends C2Notification {

	private static final long serialVersionUID = 9030337463996853521L;

	private Level level;

	public LevelUpdatedNotification() {
		super();
	}

	public LevelUpdatedNotification(C2Component source, Level level) {
		super(source);
		this.level = level;
	}

	public Level getLevel() {
		return level;
	}

}
