package uci.inf221.lunarLander.logic.message;

import java.util.UUID;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Notification;

public class ShipTouchingNotification extends C2Notification {

	private static final long serialVersionUID = 3987442153562551366L;
	private UUID entityId;

	public ShipTouchingNotification(C2Component source, UUID entityId) {
		super(source);
		this.entityId = entityId;
	}

	public UUID getEntityId() {
		return entityId;
	}

}
